using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TaxiTelphoni
{
    public partial class frmCustumers : Form
    {
        public frmCustumers()
        {
            InitializeComponent();
        }

        protected void labPos()
        {
            this.label4.Text = this.customersBindingSource.Position + 1 + " از " + this.customersBindingSource.Count;
        }

        private void frmCustumers_Load(object sender, EventArgs e)
        {
            FirstClass db = new FirstClass();
            textBox4.Text = db.dtShamsi();
            // TODO: This line of code loads data into the 'txdb1001DataSet1.Customers' table. You can move, or remove it, as needed.
            this.customersTableAdapter.Fill(this.txdb1001DataSet1.Customers);
            labPos();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.customersBindingSource.AddNew();
            button1.Enabled = false;
            button4.Enabled = true;
            btnCancel.Enabled = true;
            labPos();
            MessageBox.Show("لطفا مقادیر مورد نظر را وارد فرمائید");

        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (textBox5.Text == "" || textBox6.Text == "" || textBox1.Text == "")
            {
                MessageBox.Show("فیلدهای کد مشتری ، کد ملی و شماره تلفن باید وارد شوند");
            }
            else
            {

                this.customersTableAdapter.Insert(textBox1.Text.Trim(), textBox2.Text.Trim(), textBox4.Text.Trim(), textBox5.Text.Trim(), textBox6.Text.Trim(), textBox7.Text.Trim(), textBox8.Text.Trim(), textBox9.Text.Trim(), textBox10.Text.Trim(), textBox11.Text.Trim());
                button4.Enabled = false;
                button1.Enabled = true;
                btnCancel.Enabled = false;
                dataGridView1.Refresh();
                labPos();
                MessageBox.Show("رکورد مورد نظر ذخیره گردید");
                labPos();
            }
        
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.customersBindingSource.CancelEdit();
            button4.Enabled = false;
            button1.Enabled = true;
            btnCancel.Enabled = false;
            labPos();
        }

        private void btnUpdate_Click(object sender, EventArgs e)
        {
            if (textBox1.Text != "" || textBox5.Text != "" || textBox6.Text != "")
            {
                this.customersTableAdapter.Update(txdb1001DataSet1.Customers);
                dataGridView1.Refresh();
                labPos();
            }
            else
            {
                MessageBox.Show("نام یا کد ملی و یا شماره تلفن مشتری وارد نشده است وارد نشده است");
            }
        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            if (textBox1.Text != "" )
            {
                this.customersTableAdapter.Delete(textBox1.Text.Trim());
                this.customersTableAdapter.Fill(txdb1001DataSet1.Customers);
                labPos();
                MessageBox.Show("مشتری مورد نظر حذف شد");
            }
            else
            {
                MessageBox.Show("کد مشتری وارد نشده است ");
            }
        }

        private void btnRefresh_Click(object sender, EventArgs e)
        {
            this.customersTableAdapter.Fill(txdb1001DataSet1.Customers);
            labPos();
        }

        private void btnSearch_Click(object sender, EventArgs e)
        {
            if (textBox3.Text != "")
            {
                this.customersTableAdapter.FillBy1(txdb1001DataSet1.Customers, "%" + textBox3.Text.Trim() + "%");
                labPos();
            }
            else
            {
                MessageBox.Show("نام  و یا بخشی از نام مشتری  در فیلد زرد رنگ وارد نشده است");
            }
        }

        private void btnLast_Click(object sender, EventArgs e)
        {
            this.customersBindingSource.MoveLast();
            labPos();
        }

        private void btmNext_Click(object sender, EventArgs e)
        {
            if (this.customersBindingSource.Position + 1 < this.customersBindingSource.Count)
            {
                this.customersBindingSource.MoveNext();
                labPos();
            }
        }

        private void btnPrevoiuse_Click(object sender, EventArgs e)
        {
            this.customersBindingSource.MovePrevious();
            labPos();
        }

        private void btnFirst_Click(object sender, EventArgs e)
        {
            this.customersBindingSource.MoveFirst();
            labPos();
        }
    }
}